/***************************************************************************
 *                       StreamPalmDoc.cpp  -  description
 *                               -------------------
 *  begin                : Tue March 1 10:40:21 BST 2003
 *  copyright            : (C) 2002 by Dmitri Skachkov
 *  email                : d_skachkov@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "StreamPalmDoc.h"

StreamPalmDoc::~StreamPalmDoc()
{
/*    QDir dir;
    dir = QDir::QDir("/tmp/justreader");
    for(unsigned int i=0;i<dir.count();i++)
    {
	QFile::QFile("/tmp/justreader/"+ dir.operator[](i)).remove();
    }*/
}

QChar StreamPalmDoc::isTag(QChar t)
{
    if (t == '\n')
    {
	newLine = true;
	newParagraph = true;
	return QChar();
    }
    return t;
}

bool StreamPalmDoc::openFile(const QString & filepath)
{
    char out_char[256],rim_char[256];
    plucker_file = new char[256];
    QString out_file,rim_file;
    QDir dir;
    out_file = "/tmp/justreader/palmdoc.tmp\0";
    rim_file = "/tmp/justreader/palmdoc.rim\0";
    strncpy(plucker_file,(filepath+"\0").latin1(),(filepath+"\0").length()+1);
    strncpy(out_char,out_file.latin1(),out_file.length()+1);
    strncpy(rim_char,rim_file.latin1(),rim_file.length()+1);
    //printf("%s\n%s\n%s\n",plucker_file,out_char,rim_char);
    //plucker_file[255] = 0;
    //out_char[255] = 0;
    //rim_file[255] = 0;
    QFile f;
    int docType;
    if ( !QFile::exists( filepath ) ) return false;
    f.setName( filepath ); 
    if (!f.open( IO_ReadOnly ))
    {
	return false;
    }
    fileOpened = true;
    f.close();
    if (file.isOpen()) file.close();
    dir = QDir::QDir("/tmp/justreader");
    dir.mkdir("/tmp/justreader");
    for(unsigned int i=0;i<dir.count();i++)
    {
	QFile::QFile("/tmp/justreader/"+ dir.operator[](i)).remove();
    }
    docType = Decomp(plucker_file,out_char,rim_char,reorderPlucker);
    if (docType == 0) return false; 
    file.setName( out_file ); 
    file.open( IO_ReadOnly );
    docSize = file.size();
    numberOfPages = int(docSize/2000) + 1;
    newParagraph = false;
    newLine = false;
    if (textstream) textstream->~QTextStream();
    textstream = new QTextStream(&file);
    resetTags();
    setEncoding(encoding);
    if (links) delete [] links;
    links = 0;
    linksFound = false;
    return true;
}

