/***************************************************************************
 *                       StreamPlucker.h  -  description
 *                               -------------------
 *  begin                : Tue March 1 10:40:21 BST 2003
 *  copyright            : (C) 2002 by Dmitri Skachkov
 *  email                : d_skachkov@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STREAMPLUCKER_H
#define STREAMPLUCKER_H

#include "Stream.h"
#include "makedoc9.h"
#include <qdir.h>

typedef unsigned char BYTE;

class StreamPlucker;

class StreamPlucker: public Stream
{
    protected:
	QChar getTag(QChar);
	QChar isTag(QChar);
	QPixmap * docPix;
	char * plucker_file;
    public:
	~StreamPlucker();
	bool openFile(const QString &);
	void findLinks();
	int getInLinkPosition(QString);

};
#endif
