/***************************************************************************
 *                       Stream.h  -  description
 *                               -------------------
 *  begin                : Tue March 1 10:40:21 BST 2003
 *  copyright            : (C) 2002 by Dmitri Skachkov
 *  email                : d_skachkov@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef _Stream_h_
#define _Stream_h_
#include <qstring.h>
#include <qfile.h>
#include <qfileinfo.h>
#include <qtextstream.h>
#include <qcolor.h>
#ifndef DECODER
#include "toUnicode.h"
#endif
#include <qtextcodec.h>
#include <qregexp.h>
#include <qdict.h>
#include "BasicStream.h"


class Stream:public BasicStream
{
    protected:
	QFile file;
	
    public:
	Stream();
	virtual ~Stream();
	virtual bool openFile(const QString &);
	int getPosition();		
	void setPosition(int);
	void rewind();
	void gotoEnd();
	int getSize();
	bool atEnd();
	bool fileOpened;
	void closeFile();
	void setEncoding(QString);
	bool isReady();
	bool isFileStream();
	QString getFileDir();
	PdbToFileMap * pdbToIndex;

};
#endif
