/***************************************************************************
 *                       StreamPalmMP.h  -  description
 *                               -------------------
 *  begin                : Tue March 1 10:40:21 BST 2003
 *  copyright            : (C) 2002 by Dmitri Skachkov
 *  email                : d_skachkov@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STREAMPALMMP_H
#define STREAMPALMMP_H


#include "Stream.h"
#include "makedoc9.h"
#include <qdir.h>

typedef unsigned char BYTE;

class StreamPalmMP;

class StreamPalmMP: public Stream
{
    protected:
	QChar isTag(QChar);
	QChar getTag(QChar);
	char * plucker_file;
    public:
	~StreamPalmMP();
	bool openFile(const QString &);
        void findLinks();
        int getInLinkPosition(QString);
        QString findNextContent();
};
#endif
