

#include <qstring.h>
#include "BasicStream.h"
#include "StringStream.h"
#include <qtextstream.h>
#include <qstring.h>


StringStream::StringStream(const QString &q):BasicStream()
{
	position=0;
	str=q;
	numberOfPages=q.length()/2000+1;
}

int StringStream::getPosition()
{
	return position;
}

void StringStream::setPosition(int newPosition)
{
	position=newPosition;
}

void StringStream::rewind()
{
	setPosition(0);
}

void StringStream::gotoEnd()
{
	setPosition(str.length()-1);
}

int StringStream::getSize()
{
	return str.length();
}

bool StringStream::atEnd()
{
	if (position>=str.length()-1) 
	{
		return true;
	}else
	{
		return false;
	}
}

bool StringStream::isReady()
{
	return true;
}

QChar StringStream::readNextCharFromStream()
{
	if (position>=str.length())return QChar();
	return str[position++];
}

void StringStream::setEncoding(QString e)
{

}
