/***************************************************************************
 *                       main.cpp  -  description
 *                               -------------------
 *  begin                : Tue Sep 10 10:40:21 BST 2002
 *  copyright            : (C) 2002 by Dmitri Skachkov
 *  email                : d_skachkov@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
// 2002-09-13, Psimon Ghim, QTextCodec is very important for Asian language encodings.
#include <qtextcodec.h>
#include "TextReader.h"
#ifndef __FOR_QT__
#include <qpe/qcopenvelope_qws.h>
#include <qpe/qpeapplication.h>
#endif
#include <qapplication.h>

int main(int argc, char **argv)
{
    bool r;
#ifdef __FOR_QT__
    QApplication a(argc, argv);
    TextReader w;
    w.setGeometry(100,100,640,480);
    a.setMainWidget(&w);
    r = a.exec();
#else
    QPEApplication a(argc, argv);
    // 2002-09-13, Psimon Ghim, Hack for Korean localized version of Zaurus. :-(
    //if ( a.defaultCodec() == 0 ) a.setDefaultCodec( QTextCodec::codecForName( "EUC-KR" ) );
    TextReader w;
    a.setStylusOperation(&w,QPEApplication::RightOnHold);
    a.showMainWidget(&w);
    QPEApplication::grabKeyboard();
    //a.setTempScreenSaverMode(QPEApplication::Disable);
    r = a.exec();
    QCopEnvelope e("QPE/System","grabKeyboard(QString)");
    e<< "";
#endif
    return r;
}

